# packages/rapid-development/www/column-edit.tcl

ad_page_contract {
    Page to modify a column

    @author Kevin Scaldeferri (kevin@arsdigita.com)
    @creation-date 2000-12-29
    @cvs-id $Id: column-edit.tcl,v 1.1 2001/06/03 00:54:27 dm Exp $
} {
    column_id:integer,notnull
} -properties {
    title:onevalue
    target:onevalue
    column:onerow
    string_length:onevalue
    other_string:onevalue
}

set title "Edit Column"
set target "column-edit-2"

if ![db_0or1row column_info {
    select column_id,
           table_id,
           column_name,
           datatype,
           default_value,
           attribute_p,
           pretty_name,
           pretty_plural,
           abbrev,
           description
    from   rd_columns
    where  column_id = :column_id
} -column_array column] {
    ad_return_complaint 1 "Non-existent column"
    return
}

switch -glob $column(datatype) {
    "varchar*" {
        if [regexp {varchar2?\(([0-9]+)\)} $column(datatype) match string_length] {
            set column(datatype) string
        } else {
            # This is a bad place to have ended up
            set string_length ""
        }
        set other_string ""
    }

    "integer" -
    "number" - 
    "date" -
    "boolean" -
    "clob" -
    "blob" {
        set string_length ""
        set other_string ""
    }

    default {
        set other_string $column(datatype)
        set column(datatype) "other"
        set string_length ""
    }
}


ad_return_template column-ae
