# packages/rapid-development/www/column.tcl

ad_page_contract {
    View information about one column.

    @author Kevin Scaldeferri (kevin@arsdigita.com)
    @creation-date 2000-12-28
    @cvs-id $Id: column.tcl,v 1.1 2001/06/03 00:54:27 dm Exp $
} {
    column_id:integer,notnull
} -properties {
    column:onerow
    contraints:multirow
}

if ![db_0or1row column_info {
    select column_id,
           column_name,
           datatype,
           default_value,
           attribute_p,
           abbrev,
           description
    from   rd_columns
    where  column_id = :column_id
} -column_array column] {
    ad_return_complaint 1 "Non-existent column"
    ad_script_abort
}

db_multirow constraints constraints {
    select constraint_id,
           constraint_type,
           constraint_body
    from   rd_constraints
    where  column_id = :column_id
}

ad_return_template
