# packages/rapid-development/www/constraint-delete.tcl

ad_page_contract {
    Deletes a constraint

    @author Kevin Scaldeferri (kevin@arsdigita.com)
    @creation-date 2000-12-30
    @cvs-id $Id: constraint-delete.tcl,v 1.1 2001/06/03 00:54:27 dm Exp $
} {
    constraint_id:integer,notnull
    {return_url "zzz"}
}

if ![db_0or1row column_id {
    select column_id from rd_constraints where constraint_id = :constraint_id
}] {
    ad_return_complaint 1 "Nonexistent constraint."
    return
}

if [string equal $return_url "zzz"] {
    if [db_0or1row table_id "select table_id from rd_columns where column_id = :column_id"] {
        set return_url "table?table_id=$table_id"
    } else {
        set return_url "column?column_id=$column_id"
    }
}

db_exec_plsql constraint_delete {
    begin
        rapid_development.drop_constraint(:constraint_id);
    end;
}

ad_returnredirect column?column_id=$column_id
 