# packages/rapid-development/www/constraint-edit-2.tcl

ad_page_contract {
    Page to  modify the body of a constraint clause

    @author Kevin Scaldeferri (kevin@arsdigita.com)
    @creation-date 2000-01-04
    @cvs-id $Id: constraint-edit-2.tcl,v 1.1 2001/06/03 00:54:27 dm Exp $
} {
    constraint_id:integer,notnull
    table_id:integer,notnull
    constraint_body:notnull
    {return_url "table?table_id=$table_id"}
} -validate {
    constraint_type -requires {constraint_id} {
        if [db_0or1row constraint_type "select constraint_type from rd_constraints where constraint_id = :constraint_id"] {
            if {$constraint_type != "foreign key" && $constraint_type != "check"} {
                ad_complain "You cannot edit a $constraint_type constraint."
            } 
        } else {
            ad_complain "Invalid constraint_id"
        }
    }
}

db_dml constraint_update {
    update rd_constraints
    set    constraint_body = :constraint_body
    where  constraint_id = :constraint_id
}

ad_returnredirect $return_url
