# packages/rapid-development/www/constraint-edit.tcl

ad_page_contract {
    Page to  modify the body of a constraint clause

    @author Kevin Scaldeferri (kevin@arsdigita.com)
    @creation-date 2000-01-04
    @cvs-id $Id: constraint-edit.tcl,v 1.1 2001/06/03 00:54:27 dm Exp $
} {
    constraint_id:integer,notnull
} -validate {
    constraint_type -requires {constraint_id} {
        if [db_0or1row constraint_type "select constraint_type from rd_constraints where constraint_id = :constraint_id"] {
            if {$constraint_type != "foreign key" && $constraint_type != "check"} {
                ad_complain "You cannot edit a $constraint_type constraint."
            } 
        } else {
            ad_complain "Invalid constraint_id"
        }
    }
} -properties {
    constraint:onerow
}

db_0or1row constraint_info {
    select con.constraint_id,
           con.constraint_type,
           con.constraint_body,
           col.column_id,
           col.column_name,
           t.table_id,
           t.table_name
    from   rd_constraints con, rd_columns col, rd_tables t
    where  con.column_id = col.column_id
    and    col.table_id = t.table_id
    and    con.constraint_id = :constraint_id
} -column_array constraint

ad_return_template