# packages/rapid-develpment/www/table-add-2.tcl

ad_page_contract {
    Adds a new table into the rapid development system

    @author Kevin Scaldeferri (kevin@arsdigita.com)
    @creation_date 2000-12-28
    @cvs_id $Id: table-add-2.tcl,v 1.1 2001/06/03 00:54:27 dm Exp $
} {
    table_id:integer,notnull
    table_name:notnull
    {id_column:notnull [db_null]}
    object_type:notnull
    {supertype "acs_object"}
    pretty_name:notnull
    pretty_plural:notnull
    {package_name $object_type}
    abbrev
    description
}

if [catch {db_exec_plsql new_table {
    begin
        :1 := rapid_development.add_table (
            table_id => :table_id,
            table_name => :table_name,
            id_column => :id_column,
            object_type => :object_type,
            supertype => :supertype,
            package_name => :package_name,
            pretty_name => :pretty_name,
            pretty_plural => :pretty_plural,
            abbrev => :abbrev,
            description => :description 
        );
    end;
}} errmsg] {
    # figure out what the error was

    switch -glob $errmsg {
        {*RD_TABLES_PK*} {
            #presumably a double click
            ad_returnredirect table?table_id=$table_id
            return
        }
        {*RD_TABLES_TABLE_NAME_UN*} {
            ad_return_complaint 1 "A table with that name already exists."
            return
        }
        {*RD_TABLES_OBJECT_TYPE_UN*} {
            ad_return_complaint 1 "A table with that object type already exists."
            return
        }
        {*RD_TABLES_PACKAGE_NAME_UN*} {
            ad_return_complaint 1 "A table with that package name already exists."
            return
        }
        {*RD_TABLES_PRETTY_NAME_UN*} {
            ad_return_complaint 1 "A table with that pretty name already exists."
            return
        }
        {*RD_TABLES_PRETTY_PLURAL_UN*} {
            ad_return_complaint 1 "A table with that pretty plural already exists."
            return
        }
        default {
            ad_return_complaint 1 "An error occurred which we were unable to identify.  Please notify the site administrator.  Here was the error that we recieved:

            <pre>$errmsg</pre>"
            return
        }
    }
}

ad_returnredirect table?table_id=$table_id
