# rapid-development/www/table.tcl
ad_page_contract {
    Displays information about a table and corresponding object type

    @author Kevin Scaldeferri (kevin@arsdigita.com)
    @creation-date 2000-12-27
    @cvs-id $Id: table.tcl,v 1.1 2001/06/03 00:54:27 dm Exp $
} {
    table_id:integer,notnull
} -properties {
    table:onerow
    columns:multirow
}

if ![db_0or1row table_info {
    select table_id,
           table_name,
           id_column,
           object_type,
           supertype,
           package_name,
           pretty_name,
           pretty_plural,
           nvl(abbrev,table_name) as abbreviation,
           description
    from   rd_tables
    where  table_id = :table_id
} -column_array table] {
    ad_return_complaint 1 "Non-existent table"
    ad_script_abort
}

db_multirow columns columns {
    select col.column_id,
           col.column_name,
           col.datatype,
           col.default_value,
           col.attribute_p,
           nvl(col.abbrev,col.column_name) as abbreviation,
           col.description,
           con.constraint_id,
           con.constraint_type,
           con.constraint_body
    from   rd_columns col, rd_constraints con
    where  table_id = :table_id
    and    col.column_id = con.column_id (+)
    order by column_name
}

ad_return_template
